True

TICK-001401 - errore configurabile plafone rettangolare evo Modifica Ticket

Assegnato a : SARA FARASO
Email : g.brasolin@henoto.com
Team di assistenza : Assistenza Odoo II Livello
Data Creazione : 04/10/2022
Il ticket è Chiuso? : SI
Cliente : HENOTO SPA, GABRIELE BRASOLIN
Telefono :
Data Chiusura : 06/10/2022
Categoria : Anomalia

Errore:
Henoto Server Error

Traceback (most recent call last):
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 684, in dispatch
result = self._call_function(**self.params)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 360, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/service/model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 348, in checked_call
result = self.endpoint(*a, **kw)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 913, in __call__
return self.method(*args, **kw)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 532, in response_wrap
response = f(*args, **kw)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/web/controllers/main.py", line 1400, in call_button
action = self._call_kw(model, method, args, kwargs)
File "/addons/base/gi_makigami/controllers/controllers.py", line 68, in _call_kw
return super(DataSet, self)._call_kw(model, method, args, kwargs)
File "/addons/base/gi_catalogue/controllers/main.py", line 31, in _call_kw
return super(DataSet, self)._call_kw(model, method, args, kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/web/controllers/main.py", line 1388, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 399, in call_kw
result = _call_kw_multi(method, model, args, kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 386, in _call_kw_multi
result = method(recs, *args, **kwargs)
File "/addons/base/gi_sale_order_line_wizard/models/product_configurator.py", line 52, in action_next_step
return super(ProductConfigurator, self.sudo()).action_next_step()
File "/addons/contrib/product_configurator/wizard/product_configurator.py", line 945, in action_next_step
return self.action_config_done()
File "/addons/base/gi_sale_order_line_wizard/models/product_configurator_sale.py", line 13, in action_config_done
res = super(ProductConfiguratorSale, self.sudo()).action_config_done()
File "/addons/contrib/product_configurator_sale/wizard/product_configurator.py", line 37, in action_config_done
res = super(ProductConfiguratorSale, self).action_config_done()
File "/addons/base/gi_sale_order_line_wizard/models/product_configurator.py", line 44, in action_config_done
return super(ProductConfigurator, self.sudo()).action_config_done()
File "/addons/contrib/product_configurator/wizard/product_configurator.py", line 1058, in action_config_done
self.config_session_id.action_confirm()
File "/addons/contrib/product_configurator/models/product_config.py", line 512, in action_confirm
product_id = session.create_get_variant()
File "/addons/base/gi_bom_template/models/product_template.py", line 138, in create_get_variant
variant_id = super(ProductConfigSession, self).create_get_variant(
File "/addons/base/gi_product_configurator/models/product_config_session.py", line 305, in create_get_variant
variant_id = super(ProductConfigSession, self.sudo()).create_get_variant(
File "/addons/contrib/product_configurator_mrp/models/product_config.py", line 93, in create_get_variant
variant = super(ProductConfigSession, self).create_get_variant(
File "/addons/contrib/product_configurator/models/product_config.py", line 781, in create_get_variant
variant = product_obj.sudo().create(vals)
File "<decorator-gen-442>", line 2, in create
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 326, in _model_create_single
return create(self, arg)
File "/addons/base/gi_courtesy_service/models/model.py", line 177, in create
res = super(Product, self).create(vals)
File "<decorator-gen-432>", line 2, in create
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 326, in _model_create_single
return create(self, arg)
File "/addons/base/gi_booking/models/product.py", line 24, in create
res = super(Product, self).create(vals)
File "<decorator-gen-424>", line 2, in create
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 326, in _model_create_single
return create(self, arg)
File "/addons/base/ie_sketchup_info_aggiuntive/models/attribute.py", line 195, in create
res = super(ProductProduct, self).create(values)
File "<decorator-gen-418>", line 2, in create
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 326, in _model_create_single
return create(self, arg)
File "/addons/base/gi_event_type/models/product_product.py", line 15, in create
res = super(Product, self).create(vals)
File "<decorator-gen-413>", line 2, in create
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 326, in _model_create_single
return create(self, arg)
File "/addons/base/gi_print_display_name/models/models.py", line 77, in create
res = super(ProductProduct, self).create(values)
File "<decorator-gen-410>", line 2, in create
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 326, in _model_create_single
return create(self, arg)
File "/addons/base/gi_bom_template/models/product_product.py", line 30, in create
variant.create_bom_from_bom_template(bom_template)
File "/addons/base/gi_bom_template/models/product_product.py", line 152, in create_bom_from_bom_template
expression_result = self.compute_expression_result(tcl) # in input prende il record della linea
File "/addons/base/gi_bom_template/models/product_product.py", line 180, in compute_expression_result
result = self.eval_line_custom_calc_condition(calc_conditions)
File "/addons/base/gi_bom_template/models/product_product.py", line 429, in eval_line_custom_calc_condition
evaluated_result = eval(result)
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 640, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 316, in _handle_exception
raise exception.with_traceback(None) from new_cause
File "<string>", line 1
False != TRASLUCENTE and 200.0 == 200.0 or False != SOLO STRUTTURA and 200.0 == 200.0
^
SyntaxError: invalid syntax

Storico messaggi e comunicazioni

To install this Web App in your iPhone/iPad press and then Add to Home Screen.